تبلیغات
پشتیبانی وردپرس پشتیبانی سایت


امتیاز موضوع:
  • 1 رأی - میانگین امتیازات: 5
  • 1
  • 2
  • 3
  • 4
  • 5
نکاتی که باید برای امنیت در استفاده از افزونه‌های وردپرس رعایت کنید
#1
این روزها تعداد سایت‌ها و وبلاگ‌های با هاست شخصی که از سیستم مدیریت محتوای وردپرس استفاده می‌کنند رو به افزایش است. همان‌طور که می‌دانید وردپرس به خاطر قابلیت استفاده از پوسته‌ها و افزونه‌های مختلفی که دارد، بسیار قدرتمند و انعطاف‌پذیر است. اما همین نقاط قوت در صورتی که در مورد امنیت آن‌ها سهل‌انگاری شود، ممکن است باعث آسیب به سیستم و حتی هک شدن سایت یا وبلاگ شما گردد.

در رابطه با استفاده از افزونه‌ها نکاتی هست که با رعایت کردن آن‌ها می‌توانید امنیت خود را در زمان استفاده از افزونه‌ها تا سطح قابل قبولی ارتقا بخشید:

۱. به روز بودن افزونه‌ها

یکی از مواردی که معمولا کاربران وردپرس به آن توجه نمی‌کنند استفاده از آخرین نسخه‌ی افزونه‌هاست! افزونه‌ها معمولا به ۳ دلیل اصلی توسط توسعه‌ دهندگان به روز می‌شوند:

رفع ایرادات و اشکالات امنیتی
اضافه‌ کردن امکانات و قابلیت‌های جدید
بهینه‌سازی قابلیت‌های موجود

گزینه‌ی اول مهمترین مسئله‌ای است که شما باید به خاطر آن افزونه‌هایتان را به روز رسانی کنید. در صورتی که ایراد امنیتی در افزونه‌ها وجود داشته باشد و شما به نسخه‌ی جدید به روز رسانی نکرده باشید، بی‌شک در معرض خطر هستید. پس همیشه تحت هر شرایطی از آخرین نسخه‌ی افزونه‌ها استفاده کنید.


۲. محل‌های قابل اطمینان دریافت افزونه‌ها

نکته‌ی دیگری که شما باید در مورد استفاده از افزونه‌های به آن دقت کنید، محل دریافت آن‌هاست. معمولا افزونه‌های وردپرس در مخزن افزونه‌های وردپرس قرار دارند و برای دریافت آن‌ها می‌توانید از صفحه‌ی مربوط در مخزن افزونه‌های وردپرس و یا از طریق بخش نصب افزونه‌ها در پنل مدیریت وردپرس‌تان استفاده کنید.

افزونه‌هایی که در مخزن اصلی وردپرس تحت نظارت و بررسی هستند و می‌توانید با خیالی آسوده از آن‌ها استفاده کنید. از آن‌جایی که افزونه‌ها متن‌باز و در نتیجه قابل تغییر توسط هر کس هستند، بنابراین توسعه‌ی اکید می‌شود حتی الامکان از افزونه‌هایی که درمحلی غیر از مخزن اصلی افزونه‌های وردپرس هستند استفاده نکنید. در غیر این صورت مسئولیت ناشی از مشکلات احتمالی برای سایت/ وبلاگ شما با خود شماست!

پی‌نوشت ۱: این مطلب را به دلیل سوء استفاده‌های اخیر بعضی از افراد از افزونه‌های معروف وردپرس در هفته‌‌های اخیر نوشتم. این افراد با تغییر ساختار افزونه‌ها و وارد کردن کد‌های مخرب به آن‌ها و در اختیار قراردادن افزونه‌های آلوده به کاربران باعث دسترسی و سوء استفاده ازاطلاعات کاربران وردپرس می‌شوند.
[تصویر:  celbgxfb7kpmjz11rrf8.gif]

دیدن لینک ها برای شما امکان پذیر نیست. لطفا ثبت نام کنید یا وارد حساب خود شوید تا بتوانید لینک ها را ببینید.


پاسخ
تبلیغات
تبلیغات ارزان تبیلغات
« قدیمی‌تر | جدیدتر »


پرش به انجمن:


کاربرانِ درحال بازدید از این موضوع: 1 مهمان
پشتیبانی وردپرس